| Qore reflection Module 1.14.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::Reflection::StaticMember Class Reference

This class provides information about Qore class normal (non-static) members. More...

`#include <QC_StaticMember.dox.h>`

Inheritance diagram for Qore::Reflection::StaticMember:

## Public Member Functions
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
auto | getValue ()
| Returns the value of the static member.
nothing | setValue (auto val)
| Sets the value of the static member.
Public Member Functions inherited from Qore::Reflection::AbstractClassMember
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
string | getAccessModifierString ()
| returns a string for the access modifier for the member
AbstractClass | getClass ()
| Returns the class for the member.
list< string > | getModifierList ()
| returns a list of strings of modifiers describing the member
int | getModifiers ()
| returns a bitfield of modifiers describing the member
bool | isBuiltin ()
| returns True if the class defining the member is a builtin class
bool | isStatic ()
| returns True if the member is static
bool | isTransient ()
| returns True if the member is transient
bool | isUser ()
| returns True if the class defining the member is a user class
Public Member Functions inherited from Qore::Reflection::AbstractMember
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy.
auto | getDefaultValue ()
| Returns the default value for the member or NOTHING if the member has no default value.
string | getName ()
| returns the member's name
hash< SourceLocationInfo > | getSourceLocation ()
| Returns the source location of the member declaration.
Type | getType ()
| Returns the type object for this member.
bool | isEqual (AbstractMember mem)
| Returns True if the AbstractMember object passed as an argument is equal to the current object; False if not.

## Detailed Description

This class provides information about Qore class normal (non-static) members.

Restrictions:
  Qore::PO_NO_REFLECTION

Since
  Qore 0.9.0

## Member Function Documentation

## ◆ constructor()

Qore::Reflection::StaticMember::constructor | ( |  | ) |

Throws an exception; this class cannot be created directly or used in a user class hierarchy.

Exceptions

  STATICMEMBER-CONSTRUCTOR-ERROR | the StaticMember class cannot be constructed directly or inherited directly by a user-defined class

## ◆ getValue()

auto Qore::Reflection::StaticMember::getValue | ( |  | ) |

Returns the value of the static member.

Code Flags:
  RET_VALUE_ONLY

Example:
  auto val = m.getValue();

Returns
  the value of the static member

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed

## ◆ setValue()

nothing Qore::Reflection::StaticMember::setValue | ( | auto | val | ) |

Sets the value of the static member.

Example:
  m.setValue(val);

Parameters

  val | the new value of the static member

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class has been destroyed
  RUNTIME-TYPE-ERROR | value type is not compatible with the assigned static member's type

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_StaticMember.dox.h